# Emoji reference: https://gitmoji.carloscuesta.me/
categories:
  - title: ":boom: Breaking changes"
    labels:
      - breaking
  - title: 🚨 Removed
    label: removed
  - title: ":tada: Major features and improvements"
    labels:
      - major-enhancement
      - major-rfe
  - title: 🐛 Major bug fixes
    labels:
      - major-bug
  - title: ⚠️ Deprecated
    label: deprecated
  - title: 🚀 New features and improvements
    labels:
      - enhancement
      - feature
      - rfe
  - title: 🐛 Bug Fixes
    labels:
      - bug
      - Bug
      - fix
      - bugfix
      - regression
  - title: ":construction_worker: Changes for plugin developers"
    labels:
      - developer
  # Default label used by Dependabot
  - title: 📦 Dependency updates
    label: dependencies
  - title: 📝 Documentation updates
    label: documentation
  - title: 👻 Maintenance
    labels:
      - chore
      - internal
      - Build
      - build
  - title: 🚦 Tests
    labels:
      - test
      - tests
      - Test
      - Tests
exclude-labels:
  - reverted
  - no-changelog
  - skip-changelog
  - invalid

change-template: '- $TITLE @$AUTHOR (#$NUMBER)'
# Disable certain characters in title from being interpreted as markdown
change-title-escapes: '\<*_&#'

template: |
  <!-- Optional: add a release summary here -->
  $CHANGES
